com.impinj.stp

## Enum StpApi.OperationSummaryResult

- java.lang.Object
- - java.lang.Enum<StpApi.OperationSummaryResult>
  - - com.impinj.stp.StpApi.OperationSummaryResult

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, java.io.Serializable, java.lang.Comparable<StpApi.OperationSummaryResult>
  Enclosing class:
    StpApi

      public static enum StpApi.OperationSummaryResult
      extends java.lang.Enum<StpApi.OperationSummaryResult>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `Impinj.STP.OperationSummaryResult`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OPERATION_SUMMARY_RESULT_FAIL` OPERATION_SUMMARY_RESULT_FAIL_COUNT_OVER = 2; OPERATION_SUMMARY_RESULT_FAIL_COUNT_UNDER = 3;
    `OPERATION_SUMMARY_RESULT_PASS`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `OPERATION_SUMMARY_RESULT_FAIL_VALUE` OPERATION_SUMMARY_RESULT_FAIL_COUNT_OVER = 2; OPERATION_SUMMARY_RESULT_FAIL_COUNT_UNDER = 3;
    `static int` | `OPERATION_SUMMARY_RESULT_PASS_VALUE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<StpApi.OperationSummaryResult>` | `internalGetValueMap()`
    `static StpApi.OperationSummaryResult` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static StpApi.OperationSummaryResult` | `valueOf(int value)`
    `static StpApi.OperationSummaryResult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StpApi.OperationSummaryResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPERATION_SUMMARY_RESULT_PASS

          public static final StpApi.OperationSummaryResult OPERATION_SUMMARY_RESULT_PASS

    - #### OPERATION_SUMMARY_RESULT_FAIL

          public static final StpApi.OperationSummaryResult OPERATION_SUMMARY_RESULT_FAIL

      OPERATION_SUMMARY_RESULT_FAIL_COUNT_OVER = 2; OPERATION_SUMMARY_RESULT_FAIL_COUNT_UNDER = 3;

  - ### Field Detail

    - #### OPERATION_SUMMARY_RESULT_PASS_VALUE

          public static final int OPERATION_SUMMARY_RESULT_PASS_VALUE

      See Also:
        Constant Field Values

    - #### OPERATION_SUMMARY_RESULT_FAIL_VALUE

          public static final int OPERATION_SUMMARY_RESULT_FAIL_VALUE

      OPERATION_SUMMARY_RESULT_FAIL_COUNT_OVER = 2; OPERATION_SUMMARY_RESULT_FAIL_COUNT_UNDER = 3;
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static StpApi.OperationSummaryResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StpApi.OperationSummaryResult c : StpApi.OperationSummaryResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StpApi.OperationSummaryResult valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static StpApi.OperationSummaryResult valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<StpApi.OperationSummaryResult> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static StpApi.OperationSummaryResult valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)